org.apache.maven.scm.provider.cvslib.command.update

## Class CvsUpdateCommandTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.apache.maven.scm.ScmTestCase
        - - org.apache.maven.scm.provider.cvslib.AbstractCvsScmTest
          - - org.apache.maven.scm.provider.cvslib.command.update.CvsUpdateCommandTest

All Implemented Interfaces:
  junit.framework.Test

    public class CvsUpdateCommandTest
    extends AbstractCvsScmTest

Author:
  Emmanuel Venisse, Trygve Laugstøl

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmTestCase

`GMT_TIME_ZONE`

### Constructor Summary

Constructors
Constructor and Description
`CvsUpdateCommandTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `getModule()`
`void` `setUp()`
`void` `testCvsUpdate()`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.AbstractCvsScmTest

`assertBetween, getScmRepository`

### Methods inherited from class org.apache.maven.scm.ScmTestCase

`assertCommandLine, assertFile, assertPath, assertResultIsSuccess, deleteDirectory, execute, getAssertionCopy, getCustomConfiguration, getDate, getDate, getDate, getRepository, getRepositoryRoot, getScmFileSet, getScmManager, getSecDispatcher, getUpdatingCopy, getWorkingCopy, getWorkingDirectory, isSystemCmd, makeDirectory, makeFile, makeFile, makeScmRepository, printOutputError, setDebugExecute`

### Methods inherited from class org.codehaus.plexus.PlexusTestCase

`customizeComponentConfiguration, customizeContainerConfiguration, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getConfigurationName, getContainer, getCustomConfigurationName, getResourceAsStream, getTestConfiguration, getTestConfiguration, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, lookup, lookup, release, setupContainer, tearDown`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CvsUpdateCommandTest

    public CvsUpdateCommandTest()

### Method Detail

#### setUp

    public void setUp()
               throws Exception

Overrides:
  `setUp` in class `AbstractCvsScmTest`
Throws:
  `Exception`

#### getModule

    protected String getModule()

Overrides:
  `getModule` in class `ScmTestCase`

#### testCvsUpdate

    public void testCvsUpdate()
                       throws Exception

Throws:
  `Exception`